attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute mediump vec2 a_texCoord;
uniform highp mat4 u_modelViewProjectionMatrix;

varying lowp vec4 v_color;
varying mediump vec2 v_texCoord;

varying mediump vec2 v_uvOffset;
uniform ivec2 u_textureSize;

/*
x = X direction offset
y = Y-direction offset
z = Alpha power (remove alpha < 1.0)
w = Drop shadow strength
*/
uniform vec4 Settings;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color * vec4(a_color.a, a_color.a, a_color.a, 1.0);	/* Premultiply alpha */
	v_texCoord = a_texCoord;

	// Put uniforms into variables for better readabilty
	float dirx = Settings.x;
	float diry = Settings.y;

	// Get texture size so we can offset it relative to texture size
	vec2 texelSize = 1.0 / vec2(u_textureSize.x, u_textureSize.y);
	v_uvOffset = v_texCoord + texelSize * vec2(dirx, diry);
}
