varying mediump vec4 v_color;
varying mediump vec2 v_texCoord;

uniform sampler2D u_texture;
uniform sampler2D u_texture1;


void main()
{
    mediump vec4 chocolateColor = vec4(0.4, 0.15, 0.0, 1.0);
    mediump vec4 InColor = texture2D(u_texture, v_texCoord);
    mediump vec4 InColorOverlay = texture2D(u_texture1, v_texCoord);
    mediump float luminance = max(dot(vec3(0.3, 0.59, 0.11), InColor.rgb),0.5);
    mediump float luminanceOverlay = max(dot(vec3(0.3, 0.59, 0.11), InColorOverlay.rgb),0.5);
    
    
    mediump vec4 OutColor = vec4(InColor.rgb + chocolateColor.rgb - 0.5 + (luminance-0.5), InColor.a);
    mediump vec4 OutColorOverlay = vec4(InColorOverlay.rgb + v_color.rgb - 0.5 + (luminanceOverlay-0.5), InColorOverlay.a);
    
    gl_FragColor = mix(InColor, OutColor, InColor.a)*(1.0-OutColorOverlay.a) + OutColorOverlay*OutColorOverlay.a;
}
