varying lowp vec2 v_texCoord;

// x = top value, y = bottom value
uniform lowp vec4 GradientSlider;

uniform lowp vec4 u_materialAmbient;
uniform lowp vec4 u_materialDiffuse;
uniform lowp vec4 u_materialSpecular;

void main() {
	// Gradient colors
	vec4 topColor = u_materialAmbient;
	vec4 middleColor = u_materialDiffuse;
	vec4 bottomColor = u_materialSpecular;
	
	// Gradient slider values
	float top = 1.0 - GradientSlider.x;
	float bottom = GradientSlider.y;
	
	float stt = smoothstep(top, 1.0, v_texCoord.y);
	float stb = smoothstep(0.0, bottom, v_texCoord.y);
	
	vec4 final = mix(bottomColor, middleColor, stb);
	final = mix(final, topColor, stt);
	
	gl_FragColor = final;
}
