uniform highp mat4 u_viewMatrix;
uniform highp mat4 u_modelMatrix;
uniform highp mat4 u_modelViewProjectionMatrix;

attribute highp vec4 a_position;

attribute lowp vec2 a_texCoord;
attribute lowp vec2 a_texCoord2;
varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoord2;

attribute mediump vec3 a_normal;
varying mediump vec3 v_normal;

varying mediump vec3 v_camDir;
varying mediump vec3 v_lightDir;

void main() {
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_normal = (u_modelMatrix * vec4(a_normal, 0.0)).xyz;
	
	v_texCoord = a_texCoord;
	v_texCoord2 = a_texCoord2 + vec2(0.785, 0.0);

	const vec3 u_materialEmissive = vec3(0.27, 0.84, 0.73);
	v_lightDir = normalize((vec4(u_materialEmissive.xyz * 2.0 - 1.0, 0.0)).xyz);
	v_camDir = vec3(u_viewMatrix[0][2], u_viewMatrix[1][2], u_viewMatrix[2][2]);
}
