varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform ivec2 u_textureSize;
uniform vec4 Thickness;

void main() {

	float step_size_h = (1.0/u_textureSize.x)*(clamp(Thickness.x, 0.0, 200.0)/100);
	float step_size_v = (1.0/u_textureSize.y)*(clamp(Thickness.x, 0.0, 200.0)/100);
	
	//float alpha_thresh = texture2D(u_texture, v_texCoord).a;
	
	// Get delta between current and next pixel vertically
	float alpha_h = texture2D(u_texture, v_texCoord + vec2(0.0,-step_size_h)).a;
	// Get delta between current and last pixel vertically
	alpha_h -= texture2D(u_texture, v_texCoord + vec2(0.0,step_size_h)).a;
	// Get delta between current and last pixel horisontally
	float alpha_v = texture2D(u_texture, v_texCoord + vec2(-step_size_v,0.0)).a;
	// Get delta between current and last pixel horisontally
	alpha_v -= texture2D(u_texture, v_texCoord + vec2(step_size_v,0.0)).a;

	alpha_h = abs(alpha_h);
	alpha_v = abs(alpha_v);
	float alpha = clamp(alpha_h + alpha_v, 0.0, 1.0);

	//alpha = (1.0-alpha_thresh)*alpha;

	// Color of the outline
	vec4 outline_color = vec4(1.0, 0.8, 0.6, 1.0);
	vec4 tex_color = v_color * texture2D(u_texture, v_texCoord);
	gl_FragColor = mix(tex_color, outline_color, alpha);
	//gl_FragColor = alpha;
}