varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform ivec2 u_textureSize;
uniform lowp vec4 Thickness;
uniform lowp vec4 u_materialDiffuse;


void main() {

	lowp float step_size_h = Thickness.x / (float(u_textureSize.x) * 100.0);
	lowp float step_size_v = Thickness.x / (float(u_textureSize.y) * 100.0);
	
	vec4 color = texture2D(u_texture, v_texCoord);

	float alpha_thresh = color.a;
	
	// Get delta between current and next pixel vertically
	lowp float alpha_h = texture2D(u_texture, v_texCoord + vec2(-step_size_h,0.0)).a;
	// Get delta between current and last pixel vertically
	alpha_h -= texture2D(u_texture, v_texCoord + vec2(step_size_h,0.0)).a;
	// Get delta between current and last pixel horisontally
	lowp float alpha_v = texture2D(u_texture, v_texCoord + vec2(0.0,-step_size_v)).a;
	// Get delta between current and last pixel horisontally
	alpha_v -= texture2D(u_texture, v_texCoord + vec2(0.0,step_size_v)).a;

	alpha_h = abs(alpha_h);
	alpha_v = abs(alpha_v);
	lowp float alpha = clamp(alpha_h + alpha_v, 0.0, 1.0);

	alpha = (1.0-alpha_thresh)*alpha;

	lowp vec4 tex_color = v_color * color;
	gl_FragColor = mix(tex_color, u_materialDiffuse, alpha);
	//gl_FragColor = alpha;
}