uniform sampler2D u_texture;

varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying lowp float v_rotatedPosition;
varying lowp float v_size;

void main() {
	lowp vec4 baseColor = texture2D(u_texture, v_texCoord);
	baseColor *= baseColor.a;
	lowp vec3 stripeColor = mix(baseColor.rgb, v_color.rgb * baseColor.a, baseColor.a * v_color.a);
	
	lowp float isStripe = mod(floor(v_rotatedPosition * v_size), 2.0);

	gl_FragColor.rgb = mix(baseColor.rgb, stripeColor, isStripe);
	gl_FragColor.a = baseColor.a;
}