varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
	
uniform lowp vec4 u_materialAmbient;
uniform lowp vec4 u_materialDiffuse;
uniform lowp vec4 u_materialSpecular;
uniform lowp vec4 u_materialEmissive;
uniform lowp float u_materialShininess;

varying lowp vec4 v_color;

void main() {
	vec4 mask = texture2D(u_texture, v_texCoord);
	
	mask.rgb *= mask.a;

	vec3 brightness = u_materialEmissive.rgb * max(1.0, u_materialShininess);
	float R = min(8.0, brightness.r);
	float G = min(8.0, brightness.g);
	float B = min(8.0, brightness.b);
	
	mask.rgb *= vec3(R, G, B);
	
	vec3 Rc = mask.r * u_materialAmbient.rgb;
	vec3 Gc = mask.g * u_materialDiffuse.rgb * (1.0 - mask.r);
	vec3 Bc = mask.b * u_materialSpecular.rgb * (1.0 - mask.g) * (1.0 - mask.r);

	vec3 final = Rc + Gc + Bc;
	
	gl_FragColor.rgb = final;
	gl_FragColor.a = mask.a;
	
	gl_FragColor *= v_color;
}
