varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoord2;

uniform highp float u_time;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform mediump vec4 dist_strength;

varying lowp vec2 scrollUV1;
varying lowp vec2 scrollUV2;
	
uniform lowp vec4 u_materialAmbient;
uniform lowp vec4 u_materialDiffuse;
uniform lowp vec4 u_materialSpecular;
uniform lowp float u_materialShininess;

void main()
{
	vec2 distortTex1 = texture2D(u_texture1, scrollUV1).rg*2.0-1.0;
	vec2 distortTex2 = texture2D(u_texture1, scrollUV2).rg*2.0-1.0;
	vec4 distortMask = texture2D(u_texture1, v_texCoord2);
	vec2 final_uv_distortion1 = dist_strength.xy*distortTex1.rg * distortMask.a * v_color.a;
	vec2 final_uv_distortion2 = dist_strength.zw*distortTex2.rg * distortMask.a * v_color.a;
	
	vec4 texColor = texture2D(u_texture, v_texCoord+(final_uv_distortion1+final_uv_distortion2));
	
	vec3 ambient = texColor.r * u_materialAmbient.rgb * (1.0 - texColor.g);
	vec3 diffuse = texColor.g * u_materialDiffuse.rgb * u_materialDiffuse.a;
	vec3 specular = texColor.b * u_materialSpecular.rgb * u_materialSpecular.a;
	
	vec3 final = ambient + diffuse + specular;
	
	gl_FragColor.rgb = final;
	gl_FragColor.a = texColor.a;
}
