varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoord2;
varying lowp vec4 v_color;

uniform highp float u_time;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
uniform mediump vec4 dist_strength;

//ONLY IF WE NEED TO TWEAK 1st UV CHANNEL
//varying highp vec2 scrollUV0;

varying lowp vec2 scrollUV1;
varying lowp vec2 scrollUV2;

void main()
{
	vec2 distortTex1 = texture2D(u_texture1, scrollUV1).rg*2.0-1.0;
	vec2 distortTex2 = texture2D(u_texture1, scrollUV2).rg*2.0-1.0;
	vec4 distortMask = texture2D(u_texture1, v_texCoord2);
	vec2 final_uv_distortion1 = dist_strength.xy*distortTex1.rg * distortMask.a;
	vec2 final_uv_distortion2 = dist_strength.zw*distortTex2.rg * distortMask.a;
	
	//ONLY IF WE NEED TO TWEAK 1st UV CHANNEL
	//vec4 texColor = texture2D(u_texture, scrollUV0+(final_uv_distortion1+final_uv_distortion2)*distortMask.b*distortMask.a);
	
	vec4 texColor = texture2D(u_texture, v_texCoord+(final_uv_distortion1+final_uv_distortion2));

	//vec4 texColor = texture2D(u_texture, v_texCoord);
		
	gl_FragColor =vec4(texColor.xyz , texColor.a * v_color.a);
	//gl_FragColor =vec4(100.0*vec3(final_uv_distortion1.x+final_uv_distortion1.x,final_uv_distortion1.y+final_uv_distortion2.y,0.0) ,1);
}