attribute highp vec4 a_position;
attribute lowp vec4 a_color;
attribute lowp vec2 a_texCoord;
attribute highp vec3 a_normal;

uniform highp mat4 u_modelViewProjectionMatrix;
uniform highp mat4 u_modelViewMatrix;
uniform lowp vec4 u_color4;
uniform highp float u_time;
uniform mediump vec4 dist_tiling_scroll1;
uniform mediump vec4 dist_tiling_scroll2;

//ONLY IF WE NEED TO TWEAK 1st UV CHANNEL
/*
uniform highp vec4 uv_tile_scroll;
varying lowp vec2 scrollUV0;
*/

varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;
varying lowp vec2 v_texCoord2;
varying lowp vec2 scrollUV1;
varying lowp vec2 scrollUV2;

void main()
{
	gl_Position = u_modelViewProjectionMatrix * a_position;
	v_color = a_color * u_color4;
	v_texCoord = a_texCoord;
	v_texCoord2 = a_texCoord;
	scrollUV1 = v_texCoord2.xy*dist_tiling_scroll1.xy+fract(u_time*dist_tiling_scroll1.zw);
	scrollUV2 = v_texCoord2.xy*dist_tiling_scroll2.xy+fract(u_time*dist_tiling_scroll2.zw);
	
	//ONLY IF WE NEED TO TWEAK 1st UV CHANNEL
	//scrollUV0 = v_texCoord.xy*uv_tile_scroll.xy+fract(u_time*uv_tile_scroll.zw);
}